Bug 112760 - cannaserver can't convert simple common words on first try
cannaserver can't convert simple common words on first try
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Canna (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-30 15:09 EST by Eido Inoue
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-07 02:33:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eido Inoue 2003-12-30 15:09:40 EST
Description of problem:
Some very simple Japanese words don't covert to their expected values,
requiring selection of candidates and editing, making input tedious.

Version-Release number of selected component (if applicable):
Canna-3.6-24

How reproducible:
Always

Steps to Reproduce:
1. Inside gnome-terminal running in default Japanese environment
   (romaji input)with Canna running, press Shift-Space to turn on 
   editing.
2. Type "omoimasu" ("(I/you/we/they) think"), then press space to
   convert, enter to commit
3. Type "wakarimashita" ("(I/you/we/they) understand"), then press
   space to convert, enter to commit
  
Actual results:
"尾母今須" for "omoimasu"
"和借り真下" for "wakarimashita".

Expected results:
"思います" for "omoimasu"
"わかりました" or "分かりました" for "wakarimashita"


Additional info:
It is possible to produce the expected results, but it requires post-
editing. Also, Canna will temporarily cache the corrected result, but
the user will either need to modify the dictionary or redo the next
time a canna connection is made.

Additionally, one should not 
For simple common words, the most obvious candidate should appear
first (like FreeWnn/Wnn, ATOK, and MS-IME) for efficient Japanese input
Comment 1 Akira TAGOH 2004-01-07 02:33:50 EST
Well, actually it was already fixed in 3.7-1. but it depends on your
.canna file.  you have to enable fuzokugo dictionary in .canna.

Note You need to log in before you can comment on or make changes to this bug.